function toggleInputType(passwordInputId, eyeIconId, resourcePath) {
    const passwordInput = document.getElementById(passwordInputId);
    const eyeIcon = document.getElementById(eyeIconId);
    if (passwordInput.type === 'text') {
        passwordInput.type = 'password';
        eyeIcon.src = resourcePath + '/resources/eye.svg';
        return;
    }
    passwordInput.type = 'text';
    eyeIcon.src = resourcePath + '/resources/eye-off.svg';
}
